Subject: Re: bug#36550: mouse-face overlay calculation error

From: Eli Zaretskii <[email-masked]>
Date: Sat, 13 Jul 2019 17:50:09 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 13 Jul 2019 16:25:35 +0200
> 
> > And what point has to do with that, since mouse-face is about the
> > mouse pointer, not about point?  What am I missing here?
> 
> The widget consists of text in the buffer and a bunch of overlays
> (including keymap overlays), and the mouse-face overlay is one of them.
> My guess is that the committer wanted the keymap to be on the newline so
> that it's in effect when typing?

OK, but then they simply should use a separate overlay for the
mouse-face, I think, one that doesn't cover the newline.  Does that
solve the problem?